Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.client.http
Class SoapHttpClient

    java.lang.Object
      org.codehaus.xfire.client.http.AbstractHttpClient
          org.codehaus.xfire.client.http.SoapHttpClient

    public class SoapHttpClient

extends AbstractHttpClient

A SOAP client for the HTTP transport.

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.xfire.client.http.AbstractHttpClient
`SOAP11_ENVELOPE_NS, SOAP12_ENVELOPE_NS`

Constructor Summary
`SoapHttpClient(ClientHandler bodyHandler, ClientHandler headerHandler, java.lang.String url)` Create the SoapHttpClient.
`SoapHttpClient(ClientHandler bodyHandler, ClientHandler headerHandler, java.lang.String url, java.lang.String soapVersion)` Create the SoapHttpClient.
`SoapHttpClient(ClientHandler bodyHandler, java.lang.String url)` Create the SoapHttpClient.

Method Summary
`java.lang.String` | `getAction()`
`ClientHandler` | `getBodyHandler()`
`ClientHandler` | `getHeaderHandler()`
`java.lang.String` | `getSoapVersion()`
`protected void` | `readResponse(javax.xml.stream.XMLStreamReader reader)`
`void` | `setAction(java.lang.String action)`
`void` | `setSoapVersion(java.lang.String soapVersion)`
`protected void` | `writeHeaders(java.net.URLConnection urlConn)`
`protected void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)`

Methods inherited from class org.codehaus.xfire.client.http.AbstractHttpClient
`getEncoding, getPassword, getUrl, getUsername, invoke, readResponse, setEncoding, setPassword, setUrl, setUsername, writeRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapHttpClient

    public SoapHttpClient(ClientHandler bodyHandler,
                          java.lang.String url)

  Create the SoapHttpClient. It will default to generating a SOAP 1.1 Envelope.

  Parameters:
    `bodyHandler` - A handler which will generate and process the SOAP Body.
    `url` - The URL to invoke.

### SoapHttpClient

    public SoapHttpClient(ClientHandler bodyHandler,
                          ClientHandler headerHandler,
                          java.lang.String url)

  Create the SoapHttpClient. It will default to generating a SOAP 1.1 Envelope.

  Parameters:
    `bodyHandler` - A handler which will generate and process the SOAP Body.
    `headerHandler` - A handler which will generate and process the SOAP Header.
    `url` - The URL to invoke.

### SoapHttpClient

    public SoapHttpClient(ClientHandler bodyHandler,
                          ClientHandler headerHandler,
                          java.lang.String url,
                          java.lang.String soapVersion)

  Create the SoapHttpClient.

  Parameters:
    `bodyHandler` - A handler which will generate and process the SOAP Body.
    `headerHandler` - A handler which will generate and process the SOAP Header.
    `url` - The URL to invoke.
    `soapVersion` - The soap version. See SOAPConstants.

Method Detail

### writeRequest

    protected void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                         throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeRequest` in class `AbstractHttpClient`
  Throws:
    `javax.xml.stream.XMLStreamException`

### readResponse

    protected void readResponse(javax.xml.stream.XMLStreamReader reader)
                         throws javax.xml.stream.XMLStreamException,
                                XFireFault

  Specified by:
    `readResponse` in class `AbstractHttpClient`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `XFireFault`

### writeHeaders

    protected void writeHeaders(java.net.URLConnection urlConn)

  Overrides:
    `writeHeaders` in class `AbstractHttpClient`

### getBodyHandler

    public ClientHandler getBodyHandler()

  Returns:
    Returns the bodyHandler.

### getHeaderHandler

    public ClientHandler getHeaderHandler()

  Returns:
    Returns the headerHandler.

### getSoapVersion

    public java.lang.String getSoapVersion()

  Returns:
    Returns the soapVersion.

### setSoapVersion

    public void setSoapVersion(java.lang.String soapVersion)

  Parameters:
    `soapVersion` - The soapVersion to set.

### setAction

    public void setAction(java.lang.String action)

  Parameters:
    `action` - The action to set.

### getAction

    public java.lang.String getAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.